diff --git a/external/bsd/pkg_install/dist/add/pkg_add.cat b/external/bsd/pkg_install/dist/add/pkg_add.cat
index 9836941194f6..ca5f06586214 100644
--- a/external/bsd/pkg_install/dist/add/pkg_add.cat
+++ b/external/bsd/pkg_install/dist/add/pkg_add.cat
@@ -1,12 +1,12 @@
 PKG_ADD(1)                  General Commands Manual                 PKG_ADD(1)
 
 NNAAMMEE
-     ppkkgg__aadddd -- a utility for installing and upgrading software package
+     ppkkgg__aadddd - a utility for installing and upgrading software package
      distributions
 
 SSYYNNOOPPSSIISS
-     ppkkgg__aadddd [--AAffIInnRRUUuuVVvv] [--CC _c_o_n_f_i_g] [--KK _p_k_g___d_b_d_i_r] [--mm _m_a_c_h_i_n_e] [--PP _d_e_s_t_d_i_r]
-             [--pp _p_r_e_f_i_x]
+     ppkkgg__aadddd [--AAffhhIInnRRUUuuVVvv] [--CC _c_o_n_f_i_g] [--KK _p_k_g___d_b_d_i_r] [--mm _m_a_c_h_i_n_e]
+             [--PP _d_e_s_t_d_i_r] [--pp _p_r_e_f_i_x]
              _f_i_l_e _._._. [[ftp|http]://[_u_s_e_r][:_p_a_s_s_w_o_r_d]@]_h_o_s_t[:_p_o_r_t][/_p_a_t_h_/]_p_k_g_-_n_a_m_e _._._.
 
 DDEESSCCRRIIPPTTIIOONN
@@ -19,9 +19,9 @@ DDEESSCCRRIIPPTTIIOONN
 
 WWAARRNNIINNGG
      _S_i_n_c_e _t_h_e ppkkgg__aadddd _c_o_m_m_a_n_d _m_a_y _e_x_e_c_u_t_e _s_c_r_i_p_t_s _o_r _p_r_o_g_r_a_m_s _c_o_n_t_a_i_n_e_d
-     _w_i_t_h_i_n _a _p_a_c_k_a_g_e _f_i_l_e_, _y_o_u_r _s_y_s_t_e_m _m_a_y _b_e _s_u_s_c_e_p_t_i_b_l_e _t_o _`_`_T_r_o_j_a_n
-     _h_o_r_s_e_s_'_' _o_r _o_t_h_e_r _s_u_b_t_l_e _a_t_t_a_c_k_s _f_r_o_m _m_i_s_c_r_e_a_n_t_s _w_h_o _c_r_e_a_t_e _d_a_n_g_e_r_o_u_s
-     _p_a_c_k_a_g_e _f_i_l_e_s_.
+     _w_i_t_h_i_n _a _p_a_c_k_a_g_e _f_i_l_e_, _y_o_u_r _s_y_s_t_e_m _m_a_y _b_e _s_u_s_c_e_p_t_i_b_l_e _t_o _"_T_r_o_j_a_n _h_o_r_s_e_s_"
+     _o_r _o_t_h_e_r _s_u_b_t_l_e _a_t_t_a_c_k_s _f_r_o_m _m_i_s_c_r_e_a_n_t_s _w_h_o _c_r_e_a_t_e _d_a_n_g_e_r_o_u_s _p_a_c_k_a_g_e
+     _f_i_l_e_s_.
 
      _Y_o_u _a_r_e _a_d_v_i_s_e_d _t_o _v_e_r_i_f_y _t_h_e _c_o_m_p_e_t_e_n_c_e _a_n_d _i_d_e_n_t_i_t_y _o_f _t_h_o_s_e _w_h_o
      _p_r_o_v_i_d_e _i_n_s_t_a_l_l_a_b_l_e _p_a_c_k_a_g_e _f_i_l_e_s_.  _F_o_r _e_x_t_r_a _p_r_o_t_e_c_t_i_o_n_, _u_s_e _t_h_e _d_i_g_i_t_a_l
@@ -57,6 +57,11 @@ OOPPTTIIOONNSS
              Read the configuration file from _c_o_n_f_i_g instead of the system
              default.
 
+     --DD      Force updating even if the dependencies of depending packages are
+             not satisfied by the new package.  This is used by "make
+             replace", after which one would typically replace the depending
+             packages.
+
      --ff      Force installation to proceed even if prerequisite packages are
              not installed or the install script fails.  Although ppkkgg__aadddd will
              still try to find and auto-install missing prerequisite packages,
@@ -65,10 +70,7 @@ OOPPTTIIOONNSS
              architecture the package was built on differ from that of the
              host.
 
-     --DD      Force updating even if the dependencies of depending packages are
-             not satisfied by the new package.  This is used by "make
-             replace", after which one would typically replace the depending
-             packages.
+     --hh      Display help and exit.
 
      --II      If an installation script exists for a given package, do not
              execute it.
@@ -107,8 +109,8 @@ OOPPTTIIOONNSS
      --vv      Turn on verbose output.
 
      One or more _p_k_g_-_n_a_m_e arguments may be specified, each being either a file
-     containing the package (these usually ending with the ``.tgz'' suffix) or
-     a URL pointing at a file available on an ftp or web site.  Thus you may
+     containing the package (these usually ending with the ".tgz" suffix) or a
+     URL pointing at a file available on an ftp or web site.  Thus you may
      extract files directly from their anonymous ftp or WWW locations (e.g.,
      ppkkgg__aadddd
      ftp://ftp.NetBSD.org/pub/pkgsrc/packages/NetBSD/i386/3.1_2007Q2/shells/bash-3.2.9.tgz
@@ -121,9 +123,9 @@ OOPPTTIIOONNSS
      ftp.
 
 TTEECCHHNNIICCAALL DDEETTAAIILLSS
-     ppkkgg__aadddd extracts each package's meta data (including the ``packing
-     list'') to memory and then runs through the following sequence to fully
-     extract the contents of the package:
+     ppkkgg__aadddd extracts each package's meta data (including the "packing list")
+     to memory and then runs through the following sequence to fully extract
+     the contents of the package:
 
            1.   A check is made to determine if the package or another version
                 of it is already recorded as installed.  If it is,
@@ -262,4 +264,4 @@ BBUUGGSS
 
      Sure to be others.
 
-pkgsrc                         December 27, 2014                        pkgsrc
+pkgsrc                          March 21, 2018                          pkgsrc
diff --git a/external/bsd/pkg_install/dist/admin/pkg_admin.cat b/external/bsd/pkg_install/dist/admin/pkg_admin.cat
index 8173dee12a71..be27beeb087d 100644
--- a/external/bsd/pkg_install/dist/admin/pkg_admin.cat
+++ b/external/bsd/pkg_install/dist/admin/pkg_admin.cat
@@ -1,7 +1,7 @@
 PKG_ADMIN(1)                General Commands Manual               PKG_ADMIN(1)
 
 NNAAMMEE
-     ppkkgg__aaddmmiinn -- perform various administrative tasks to the pkg system
+     ppkkgg__aaddmmiinn - perform various administrative tasks to the pkg system
 
 SSYYNNOOPPSSIISS
      ppkkgg__aaddmmiinn [--bbqqSSVVvv] [--CC _c_o_n_f_i_g] [--dd _l_s_d_i_r] [--KK _p_k_g___d_b_d_i_r] [--ss _s_f_x___p_a_t_t_e_r_n]
@@ -175,7 +175,7 @@ OOPPTTIIOONNSS
              uunnsseett to remove a variable.
 
              Packages that are not installed directly by the user but pulled
-             in as dependencies are marked by setting ``automatic=YES''.
+             in as dependencies are marked by setting "automatic=YES".
 
      ggppgg--ssiiggnn--ppaacckkaaggee ppkkgg ssppkkgg
              Sign the binary package _p_k_g using GPG and write the result to
diff --git a/external/bsd/pkg_install/dist/create/pkg_create.cat b/external/bsd/pkg_install/dist/create/pkg_create.cat
index c884c7e04495..8421de0781db 100644
--- a/external/bsd/pkg_install/dist/create/pkg_create.cat
+++ b/external/bsd/pkg_install/dist/create/pkg_create.cat
@@ -1,10 +1,10 @@
 PKG_CREATE(1)               General Commands Manual              PKG_CREATE(1)
 
 NNAAMMEE
-     ppkkgg__ccrreeaattee -- a utility for creating software package distributions
+     ppkkgg__ccrreeaattee - a utility for creating software package distributions
 
 SSYYNNOOPPSSIISS
-     ppkkgg__ccrreeaattee [--llOOUUVVvv] [--BB _b_u_i_l_d_-_i_n_f_o_-_f_i_l_e] [--bb _b_u_i_l_d_-_v_e_r_s_i_o_n_-_f_i_l_e]
+     ppkkgg__ccrreeaattee [--llOOVVvv] [--BB _b_u_i_l_d_-_i_n_f_o_-_f_i_l_e] [--bb _b_u_i_l_d_-_v_e_r_s_i_o_n_-_f_i_l_e]
                 [--CC _c_p_k_g_s] [--DD _d_i_s_p_l_a_y_f_i_l_e] [--FF _c_o_m_p_r_e_s_s_i_o_n] [--gg _g_r_o_u_p]
                 [--II _r_e_a_l_p_r_e_f_i_x] [--ii _i_s_c_r_i_p_t] [--KK _p_k_g___d_b_d_i_r] [--kk _d_s_c_r_i_p_t]
                 [--nn _p_r_e_s_e_r_v_e_-_f_i_l_e] [--PP _d_p_k_g_s] [--pp _p_r_e_f_i_x] [--SS _s_i_z_e_-_a_l_l_-_f_i_l_e]
@@ -145,9 +145,6 @@ OOPPTTIIOONNSS
              Be sure to leave some number of `X' characters for mktemp(3) to
              fill in with a unique ID.
 
-     --UU      Do not update the package file database with any file
-             information.
-
      --uu _o_w_n_e_r
              Make _o_w_n_e_r the default owner instead of extracting it from the
              file system.
diff --git a/external/bsd/pkg_install/dist/delete/pkg_delete.cat b/external/bsd/pkg_install/dist/delete/pkg_delete.cat
index 771b7d3d1b57..c5771a798cd9 100644
--- a/external/bsd/pkg_install/dist/delete/pkg_delete.cat
+++ b/external/bsd/pkg_install/dist/delete/pkg_delete.cat
@@ -1,8 +1,8 @@
 PKG_DELETE(1)               General Commands Manual              PKG_DELETE(1)
 
 NNAAMMEE
-     ppkkgg__ddeelleettee -- a utility for deleting previously installed software
-     package distributions
+     ppkkgg__ddeelleettee - a utility for deleting previously installed software package
+     distributions
 
 SSYYNNOOPPSSIISS
      ppkkgg__ddeelleettee [--AADDFFffkkNNnnOORRrrVVvv] [--KK _p_k_g___d_b_d_i_r] [--PP _d_e_s_t_d_i_r] [--pp _p_r_e_f_i_x]
@@ -19,7 +19,7 @@ DDEESSCCRRIIPPTTIIOONN
 
 WWAARRNNIINNGG
      _S_i_n_c_e _t_h_e ppkkgg__ddeelleettee _c_o_m_m_a_n_d _m_a_y _e_x_e_c_u_t_e _s_c_r_i_p_t_s _o_r _p_r_o_g_r_a_m_s _p_r_o_v_i_d_e_d _b_y
-     _a _p_a_c_k_a_g_e _f_i_l_e_, _y_o_u_r _s_y_s_t_e_m _m_a_y _b_e _s_u_s_c_e_p_t_i_b_l_e _t_o _`_`_T_r_o_j_a_n _h_o_r_s_e_s_'_' _o_r
+     _a _p_a_c_k_a_g_e _f_i_l_e_, _y_o_u_r _s_y_s_t_e_m _m_a_y _b_e _s_u_s_c_e_p_t_i_b_l_e _t_o _"_T_r_o_j_a_n _h_o_r_s_e_s_" _o_r
      _o_t_h_e_r _s_u_b_t_l_e _a_t_t_a_c_k_s _f_r_o_m _m_i_s_c_r_e_a_n_t_s _w_h_o _c_r_e_a_t_e _d_a_n_g_e_r_o_u_s _p_a_c_k_a_g_e _f_i_l_e_s_.
 
      _Y_o_u _a_r_e _a_d_v_i_s_e_d _t_o _v_e_r_i_f_y _t_h_e _c_o_m_p_e_t_e_n_c_e _a_n_d _i_d_e_n_t_i_t_y _o_f _t_h_o_s_e _w_h_o
diff --git a/external/bsd/pkg_install/dist/info/pkg_info.cat b/external/bsd/pkg_install/dist/info/pkg_info.cat
index 0d1885ff1327..f33e5147a1eb 100644
--- a/external/bsd/pkg_install/dist/info/pkg_info.cat
+++ b/external/bsd/pkg_install/dist/info/pkg_info.cat
@@ -1,7 +1,7 @@
 PKG_INFO(1)                 General Commands Manual                PKG_INFO(1)
 
 NNAAMMEE
-     ppkkgg__iinnffoo -- a utility for displaying information on software packages
+     ppkkgg__iinnffoo - a utility for displaying information on software packages
 
 SSYYNNOOPPSSIISS
      ppkkgg__iinnffoo [--BBbbccDDddFFffhhIIiikkLLmmNNnnppqqRRrrSSssVVvvXX] [--EE _p_k_g_-_n_a_m_e] [--ee _p_k_g_-_n_a_m_e]
@@ -26,15 +26,15 @@ DDEESSCCRRIIPPTTIIOONN
              --uu.  When neither --aa nor --uu is given, the former is assumed.
 
      --BB      Show some of the important definitions used when building the
-             binary package (the ``Build information'') for each package.
+             binary package (the "Build information") for each package.
              Additionally, any installation information variables (lowercase)
              can be queried, too.  In particular, _a_u_t_o_m_a_t_i_c tells if a package
              was installed automatically as a dependency of another package.
 
      --bb      Show the NetBSD RCS Id strings from the files used in the
-             construction of the binary package (the ``Build version'') for
-             each package.  These files are the package Makefile, any patch
-             files, any checksum files, and the packing list file.
+             construction of the binary package (the "Build version") for each
+             package.  These files are the package Makefile, any patch files,
+             any checksum files, and the packing list file.
 
      --cc      Show the one-line comment field for each package.
 
@@ -105,8 +105,8 @@ DDEESSCCRRIIPPTTIIOONN
              each package.  An empty string is returned if no such variable
              definition is found for the package(s).
 
-     --qq      Be ``quiet'' in emitting report headers and such, just dump the
-             raw info (basically, assume a non-human reading).
+     --qq      Be "quiet" in emitting report headers and such, just dump the raw
+             info (basically, assume a non-human reading).
 
      --RR      For each package, show the packages that require it.
 
@@ -143,7 +143,7 @@ TTEECCHHNNIICCAALL DDEETTAAIILLSS
      database.  The filename must be absolute, as in the output of
            pkg_info -aF.
      For example,
-           pkg_info -eF /path/to/file
+           pkg_info -Fe /path/to/file
      can be used to display the package the given file belongs to, and
            pkg_info -LF /path/to/file
      can be used to display all files belonging to the package the given file
@@ -157,32 +157,30 @@ PPAACCKKAAGGEE WWIILLDDCCAARRDDSS
 
      Package wildcards use fnmatch(3).  In addition, csh(1) style {,}
      alternates have been implemented.  Package version numbers can also be
-     matched in a relational manner using the ``>='', ``<='', ``>'', and ``<''
+     matched in a relational manner using the ">=", "<=", ">", and "<"
      operators.  For example,
            pkg_info -e 'name>=1.3'
-     will match versions 1.3 and later of the ``name'' package.  (Make sure to
+     will match versions 1.3 and later of the "name" package.  (Make sure to
      use shell quoting.)  Additionally, ranges can be defined, by giving both
-     a lower bound (with ``>'' or ``>='') as well as an upper bound (with
-     ``<'' or ``<='').  The lower bound has to come first.  For example,
+     a lower bound (with ">" or ">=") as well as an upper bound (with "<" or
+     "<=").  The lower bound has to come first.  For example,
            pkg_info -e 'name>=1.3<2.0'
-     will match versions 1.3 (inclusive) to 2.0 (exclusive) of package
-     ``name''.
+     will match versions 1.3 (inclusive) to 2.0 (exclusive) of package "name".
 
      The collating sequence of the various package version numbers is unusual,
-     but strives to be consistent.  The magic string ``alpha'' equates to
-     ``alpha version'', and sorts before a beta version.  The magic string
-     ``beta'' equates to ``beta version'', and sorts before a release
-     candidate.  The magic string ``rc'' equates to ``release candidate'', and
-     sorts before a release.  The magic string ``pre'', short for
-     ``pre-release'', is a synonym for ``rc''.  For example,
-     ``name-1.3alpha2'' will sort before ``name-1.3beta1'', and they both sort
-     before ``name-1.3rc1''.  Similarly, ``name-1.3rc3'' will sort before
-     ``name-1.3'', and after ``name-1.2.9''.  The magic string ``pl'' equates
-     to ``patch level'', and has the same value as a dot (`.') in the dewey-
-     decimal ordering schemes, as does the underscore (`_').  Additionally,
-     alphabetic characters sort in the same place as their numeric
-     counterparts, so that ``name-1.2e'' has the same sorting value as
-     ``name-1.2.5''.
+     but strives to be consistent.  The magic string "alpha" equates to "alpha
+     version", and sorts before a beta version.  The magic string "beta"
+     equates to "beta version", and sorts before a release candidate.  The
+     magic string "rc" equates to "release candidate", and sorts before a
+     release.  The magic string "pre", short for "pre-release", is a synonym
+     for "rc".  For example, "name-1.3alpha2" will sort before
+     "name-1.3beta1", and they both sort before "name-1.3rc1".  Similarly,
+     "name-1.3rc3" will sort before "name-1.3", and after "name-1.2.9".  The
+     magic string "pl" equates to "patch level", and has the same value as a
+     dot (`.') in the dewey-decimal ordering schemes, as does the underscore
+     (`_').  Additionally, alphabetic characters sort in the same place as
+     their numeric counterparts, so that "name-1.2e" has the same sorting
+     value as "name-1.2.5".
 
 EENNVVIIRROONNMMEENNTT
      See pkg_install.conf(5) for options, that can also be specified using the
@@ -201,4 +199,4 @@ AAUUTTHHOORRSS
              NetBSD wildcard dependency processing, pkgdb, depends displaying,
              pkg size display, and more.
 
-pkgsrc                         December 14, 2012                        pkgsrc
+pkgsrc                         January 11, 2015                         pkgsrc
diff --git a/external/bsd/pkg_install/dist/lib/pkg_summary.cat b/external/bsd/pkg_install/dist/lib/pkg_summary.cat
index 680127c1a540..2ca31f12aa0f 100644
--- a/external/bsd/pkg_install/dist/lib/pkg_summary.cat
+++ b/external/bsd/pkg_install/dist/lib/pkg_summary.cat
@@ -1,7 +1,7 @@
 PKG_SUMMARY(5)                File Formats Manual               PKG_SUMMARY(5)
 
 NNAAMMEE
-     ppkkgg__ssuummmmaarryy -- summary of binary package repository
+     ppkkgg__ssuummmmaarryy - summary of binary package repository
 
 DDEESSCCRRIIPPTTIIOONN
      The file ppkkgg__ssuummmmaarryy contains information about each package in a binary
diff --git a/external/bsd/pkg_install/dist/lib/pkgsrc.cat b/external/bsd/pkg_install/dist/lib/pkgsrc.cat
index 48902ff7cf0a..672ee1cfb12f 100644
--- a/external/bsd/pkg_install/dist/lib/pkgsrc.cat
+++ b/external/bsd/pkg_install/dist/lib/pkgsrc.cat
@@ -1,7 +1,7 @@
 PKGSRC(7)              Miscellaneous Information Manual              PKGSRC(7)
 
 NNAAMMEE
-     ppkkggssrrcc -- NetBSD packages collection (framework for third-party software)
+     ppkkggssrrcc - NetBSD packages collection (framework for third-party software)
 
 DDEESSCCRRIIPPTTIIOONN
      The NetBSD Packages Collection (pkgsrc) is a framework for building and
